---
id: nordichd
name: NORDiCHD
description: "NORDiCHD is a Mixed NORDIC Private Tracker for MOVIES / TV / GENERAL"
language: en-US
type: private
encoding: UTF-8
links:
  - http://nordichd.org/
legacylinks:
  - https://nordichd.sytes.net/ # https not supported
  - http://nordichd.sytes.net/
  - https://nordichd.org/ # https not supported

caps:
  categorymappings:
    - {id: 46, cat: PC/Games, desc: "Games/PC"}
    - {id: 47, cat: PC/Games, desc: "Games/PCRips"}
    - {id: 48, cat: Console, desc: "Games/PS"}
    - {id: 37, cat: Movies/HD, desc: "Internal/HD-1080p"}
    - {id: 17, cat: Movies/HD, desc: "Internal/HD-720p"}
    - {id: 30, cat: TV/HD, desc: "Internal/HDTV"}
    - {id: 15, cat: Movies/HD, desc: "Internal/mHD"}
    - {id: 40, cat: Movies/HD, desc: "Internal/Mp4"}
    - {id: 26, cat: Movies, desc: "Internal/Remux"}
    - {id: 45, cat: Movies/WEB-DL, desc: "Internal/WEB-DL"}
    - {id: 12, cat: TV/HD, desc: "HDTV-Packs"}
    - {id: 25, cat: Movies/3D, desc: "Movies/3D-Ou"}
    - {id: 16, cat: Movies/3D, desc: "Movies/3D-SbS"}
    - {id: 5, cat: Movies/BluRay, desc: "Movies/BluRay"}
    - {id: 38, cat: Movies/HD, desc: "Movies/HD-1080p"}
    - {id: 10, cat: Movies/HD, desc: "Movies/HD-720p"}
    - {id: 21, cat: TV/HD, desc: "Movies/HDTV"}
    - {id: 29, cat: Movies/HD, desc: "Movies/mHD"}
    - {id: 41, cat: Movies/HD, desc: "Movies/Mp4"}
    - {id: 39, cat: Movies, desc: "Movies/Remux"}
    - {id: 44, cat: Movies/WEB-DL, desc: "Movies/WEB-DL"}
    - {id: 23, cat: Audio/Lossless, desc: "Lossless"}
    - {id: 14, cat: Audio/MP3, desc: "MP3-Packs"}
    - {id: 22, cat: Audio/MP3, desc: "Music-MP3"}
    - {id: 43, cat: Audio/Video, desc: "Music/1080p"}
    - {id: 42, cat: Audio/Video, desc: "Music/720p"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page</b> setting to <b>100</b> on your <a href=\"http://nordichd.sytes.net/usercp.php?action=personal\" target=\"_blank\">NORDiCHD</a> account.
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc

login:
  path: login.php
  method: form
  form: form[action="takelogin.php"]
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
  error:
    - selector: h2
      message:
        selector: table tr td.text
  test:
    path: index.php
    selector: a[href^="logout.php?hash_please="]

search:
  paths:
    # http://nordichd.sytes.net/browse.php?cats3[]=37&cats3[]=17&cats2[]=38&cats2[]=10&search=&searchin=title&incldead=1&only_free=1
    - path: browse.php
  inputs:
    # note: site uses the catsX[]=nn method which cardigann does not support.
    search: "{{ .Keywords }}"
    # title, descr, filelist, genre, all
    searchin: title
    # 0 active, 1 incldead, 2 onlydead
    incldead: 1
    only_free: "{{ if .Config.freeleech }}1{{ else }}{{ end }}"
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    # does not support searching imdbid and does not return imdb links

  rows:
    selector: table tbody tr.browse_color:has(a[href^="download.php?torrent="])
    filters:
      - name: andmatch
      - name: strdump

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?torrent="]
      attribute: href
    poster:
      selector: a[href^="details.php?id="]
      attribute: onmouseover
      filters:
        - name: regexp
          args: "src=..(https.+).. width"
    files:
      selector: td:nth-last-child(8)
    date_day:
      # Today<br>08:10 AM
      # Yesterday<br>06:44 PM
      selector: td:nth-last-child(6):contains("day")
      # auto adjusted by site account profile
      optional: true
    date_year:
      # Dec 4 2021<br>10:20 AM
      selector: td:nth-last-child(6):not(:contains("day"))
      # auto adjusted by site account profile
      optional: true
      filters:
        - name: dateparse
          args: "MMM d yyyy hh:mm tt"
    date:
      text: "{{ if or .Result.date_day .Result.date_year }}{{ or .Result.date_day .Result.date_year }}{{ else }}now{{ end }}"
    size:
      selector: td:nth-last-child(5)
    grabs:
      selector: td:nth-last-child(4)
    seeders:
      selector: td:nth-last-child(3)
    leechers:
      selector: td:nth-last-child(2)
    downloadvolumefactor:
      text: 1 # site does not appear to have a freeleech flag
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 1.0
# U-232 V3
